require 'mygame/boot'
MyGame::Font.default_ttf_path = "font/VL-Gothic-Regular.ttf"

if not defined?(Ocra)
  begin
    load "main.rb"
  rescue Exception => e
    SDL.quit if defined?(SDL)
    unless e.is_a?(SystemExit)
      bt = e.backtrace.slice(0..-3)
      puts "#{bt.shift}: #{e.message} (#{e.class})"
      puts bt.map{|s| "\tfrom #{s}"}.join("\n")
      print "(press enter)"
      gets
    end
  end
end
